Bug 17154 - Note column is missing on account lines receipt
Summary: Note column is missing on account lines receipt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Sophie MEYNIEUX
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-22 09:16 UTC by Sophie MEYNIEUX
Modified: 2017-06-14 22:14 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17154 : Note column is missing on account lines receipt (5.76 KB, patch)
2016-08-22 10:13 UTC, Sophie MEYNIEUX
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17154 : Note column is missing on account lines receipt (5.83 KB, patch)
2016-08-29 03:37 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17154 : Note column is missing on account lines receipt (5.88 KB, patch)
2016-10-14 08:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17154 (QA followup) replace tabs with spaces (1.52 KB, patch)
2016-10-14 08:54 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sophie MEYNIEUX 2016-08-22 09:16:56 UTC
When displaying Fines > Account tab of a patron, you can see on screen a Note column that is missing if you click on Print
Comment 1 Sophie MEYNIEUX 2016-08-22 10:13:55 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-08-29 03:37:32 UTC
Created attachment 54964 [details] [review]
[SIGNED-OFF] Bug 17154 : Note column is missing on account lines receipt

When displaying Fines > Account tab for a patron, you can see on screen a Note column that is missing if you click on Print

    Test plan :
    * Find a patron with accountlines or add them manually (Create manual invoice/credit).
    * Be sure some of them got a Note
    * Clik on Print fior those lines

    Without patch, the printed receipt does not show the Note column
    with the patch, the printed receipt shows a Note column and Note content is correctly printed for accountline with a note.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>
Comment 3 Nick Clemens 2016-10-14 08:54:30 UTC
Created attachment 56485 [details] [review]
Bug 17154 : Note column is missing on account lines receipt

When displaying Fines > Account tab for a patron, you can see on screen a Note column that is missing if you click on Print

    Test plan :
    * Find a patron with accountlines or add them manually (Create manual invoice/credit).
    * Be sure some of them got a Note
    * Clik on Print fior those lines

    Without patch, the printed receipt does not show the Note column
    with the patch, the printed receipt shows a Note column and Note content is correctly printed for accountline with a note.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2016-10-14 08:54:42 UTC
Created attachment 56486 [details] [review]
Bug 17154 (QA followup) replace tabs with spaces

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Kyle M Hall 2016-10-21 15:12:34 UTC
Pushed to master for 16.11, thanks Sophie, Nick!
Comment 6 Frédéric Demians 2016-10-22 13:15:16 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 7 Julian Maurice 2016-10-24 10:54:27 UTC
Pushed in 3.22.x, will be in 3.22.12